<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-operatore-adv-heading" jhiTranslate="shoppingonlineApp.operatoreAdv.home.createOrEditLabel">Create or edit a Operatore Adv</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.nome" for="field_nome">Nome</label>
                    <input type="text" class="form-control" name="nome" id="field_nome"
                           formControlName="nome"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.cognome" for="field_cognome">Cognome</label>
                    <input type="text" class="form-control" name="cognome" id="field_cognome"
                           formControlName="cognome"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.agenzia" for="field_agenzia">Agenzia</label>
                    <input type="text" class="form-control" name="agenzia" id="field_agenzia"
                           formControlName="agenzia"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.username" for="field_username">Username</label>
                    <input type="text" class="form-control" name="username" id="field_username"
                           formControlName="username"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.password" for="field_password">Password</label>
                    <input type="text" class="form-control" name="password" id="field_password"
                           formControlName="password"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.autenticato" for="field_autenticato">Autenticato</label>
                    <input type="checkbox" class="form-control" name="autenticato" id="field_autenticato"
                           formControlName="autenticato"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.utente" for="field_utente">Utente</label>
                    <select class="form-control" id="field_utente" name="utente" formControlName="utente">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="utenteOption.id === editForm.get('utente')!.value?.id ? editForm.get('utente')!.value : utenteOption" *ngFor="let utenteOption of utentes; trackBy: trackById">{{ utenteOption.id }}</option>
                    </select>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="shoppingonlineApp.operatoreAdv.azienda" for="field_azienda">Azienda</label>
                    <select class="form-control" id="field_azienda" name="azienda" formControlName="azienda">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="aziendaOption.id === editForm.get('azienda')!.value?.id ? editForm.get('azienda')!.value : aziendaOption" *ngFor="let aziendaOption of aziendas; trackBy: trackById">{{ aziendaOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
